Skip to main content
GET
/
apps
List Apps
curl --request GET \
  --url https://api.vela.dev/v1/apps \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3f2a1b4c-5d6e-7f8a-9b0c-1d2e3f4a5b6c",
    "accountId": "acc-uuid",
    "name": "Order Service",
    "slug": "order-service",
    "apiKeyPrefix": "vela_live_abc",
    "createdAt": "2024-06-01T12:00:00.000Z",
    "updatedAt": "2024-06-01T12:00:00.000Z"
  }
]

Authorizations

Authorization
string
header
required

Client secret for management API access. Format: vela_cs_...

Response

200 - application/json

List of apps

id
string<uuid>

App identifier

accountId
string<uuid>

Associated account

name
string

App display name

slug
string

URL-friendly identifier

apiKeyPrefix
string

Prefix of the current API key

createdAt
string<date-time>
updatedAt
string<date-time>